Omnist API
API Reference

API Reference

Endpoint groups, authentication, paging, and response conventions.

Base URL:

https://api.omnist.ai

All endpoints return JSON. Send API keys with the authorization header:

Authorization: Bearer omni_live_...

Endpoint Groups

AreaEndpoints
ContentPOST /v1/content/search, GET /v1/content/{content_id}
EntitiesPOST /v1/entities/search, GET /v1/entities/{entity_id}/timeline
News clustersGET /v1/news/clusters, GET /v1/news/clusters/{cluster_id}
MonitorsPOST /v1/monitors, GET /v1/monitors, GET /v1/monitors/{monitor_id}, PATCH /v1/monitors/{monitor_id}, DELETE /v1/monitors/{monitor_id}, POST /v1/monitors/{monitor_id}/run, GET /v1/monitors/{monitor_id}/runs, GET /v1/monitors/{monitor_id}/results, POST /v1/monitors/{monitor_id}/search, POST /v1/monitors/{monitor_id}/backfills, GET /v1/monitors/{monitor_id}/backfills, GET /v1/monitors/{monitor_id}/backfills/{task_id}
WebhooksGET /v1/webhooks, PUT /v1/webhooks, POST /v1/webhooks/rotate-signing-secret, POST /v1/webhooks/test, GET /v1/webhooks/test, GET /v1/webhooks/events, GET /v1/webhooks/stats

Conventions

  • JSON request bodies use content-type: application/json.
  • Search endpoints return a single ranked page with limit up to 100.
  • List endpoints use limit and offset, and return next_offset with has_more.
  • Monitor backfills are asynchronous and return a parent task_id.
  • Timestamps are ISO 8601 strings in UTC.
  • Errors use { error, message, meta }.
  • Response metadata includes request IDs when available.

On this page